Subject: Re: bug#8926: 24.0.50; pcomplete regression

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 01 Jul 2011 23:59:45 +0200

Stefan Monnier <[email-masked]> writes:

>>> Yup.  Because among the various completion cases, the case for "files"
>>> used to return a list and now returns a function.  Both are valid
>>> completion tables.  Any caller of pcomplete-completions should expect to
>>> receive a completion table and not just a list of strings.  It may very
>>> well receive a list of strings (which is one kind of completion table),
>>> but it may just as well receive something else.
>> Yes i saw that, and it's what i didn't understand.
>
> BTW, the reason for the above change was not just to fix a bug when
> using pcomplete-completions-at-point but also so that partial-completion
> now works with pcomplete-entries (so you can "cd ~/e/e TAB" to go to
> ~/etc/emacs).
About this:

If i want to do cd /tmp, i do:

cd /t TAB and it seem pcomplete start searching possibles completion and
start searching remote with tramp (and hang because connection is
closed).

-- 
A+ Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997